List uploads
Lists uploads in a bucket with optional filtering by path, date, and tags. Supports cursor-based pagination.
Authorization
OAuth2 upl:bucket:readOAuth 2.0 authorization
In: header
Scope: upl:bucket:read
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
Reference to the bucket to list uploads from
Optional path to filter uploads
Deprecated: Use date_from/date_to instead
int32Deprecated: Use date_from/date_to instead
int32Optional tags to filter uploads
Start of date range filter (inclusive)
End of date range filter (inclusive)
Filter by slug (server-side ILIKE / prefix match)
Field to sort by: "created_at" (default), "updated_at", "slug", "size_bytes", "order"
Sort order: "asc" or "desc" (default "desc")
Per-key metadata filters AND'd together. STRING/BOOL keys only; ARRAY/OBJECT keys cannot be filtered. See MetadataFilter.
items <= 16Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/ListUploads" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "cursor": "string" }'{
"uploads": [
{
"uploadId": "string",
"path": "string",
"slug": "string",
"url": "string",
"contentUrl": "string",
"sizeBytes": 0,
"tags": [
"string"
],
"integrationId": "497a18ca-284e-40c0-985d-f72be35d468e",
"integration": {
"integrationId": "string",
"name": "string",
"oauthClientId": "string",
"folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
"folderLinkUrl": "string",
"mode": "INTEGRATION_MODE_UNSPECIFIED",
"bucketLauncherEnabled": true
},
"allowAnyExtension": true,
"defaultSlugExtension": "string",
"generatedDescription": "string",
"metaUploads": [
{
"type": {
"name": "string",
"n": 0,
"filename": "string"
},
"metadataId": "string",
"uploadUrl": "string",
"downloadUrl": "string"
}
],
"private": true,
"aliases": [
{
"aliasId": "string",
"uploadId": "string",
"path": "string",
"slug": "string",
"url": "string",
"hasPassword": true,
"expiresAt": "2023-01-15T01:30:15.01Z",
"maxUses": 0,
"useCount": 0,
"allowedUserIds": [
0
],
"createdAt": "2023-01-15T01:30:15.01Z",
"externalPath": "string"
}
],
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"author": {
"userId": 0,
"username": "string"
},
"lastModifiedBy": {
"userId": 0,
"username": "string"
},
"thumbnailGenerationVersion": 0,
"aiDescriptionGenerationVersion": 0,
"aiTagsGenerationVersion": 0,
"virusScanGenerationVersion": 0,
"aiDescriptionInputRef": "string",
"intentMetadata": {
"property1": {},
"property2": {}
},
"externalPath": "string",
"order": 0,
"isVirtualFile": true,
"integrationHidden": true,
"version": 0,
"thumbnailContentTypeUrn": "string",
"thumbnailContentTypeIconName": "string",
"thumbnailContentTypeIconUrl": "string",
"metadataKvs": [
{
"key": "string",
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED",
"value": {
"arrayValue": {
"values": [
{}
]
}
},
"title": "string",
"iconName": "string",
"hiddenFromUsers": true
}
]
}
],
"nextCursor": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}